Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 22 Aug 2014, 08:04
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
How to run Super Meat Boy game in Slacko 533?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
th0rgall

Joined: 21 Aug 2012
Posts: 2

PostPosted: Tue 21 Aug 2012, 13:44    Post subject:  How to run Super Meat Boy game in Slacko 533?  

Hello,

I bought the Humble Indie Bundle V a few months ago, the game Super Meat Boy was included. A Linux version of this game is also available, and since I finaly found a perfect puplet for me (Valiant Ship (xfce) - Slacko 5.3.3), I decided to try getting this game work on Puppy Linux.

The installer worked flawlessly, but I can't run the game.

Here's what I tried:

Code:
# cd '/mnt/sdb1/Super Meatboy'
# sudo sh '/mnt/sdb1/Super Meatboy/SuperMeatBoy'
Super Meat Boy: Installed in '/mnt/sdb1'.
Super Meat Boy: Using x86 version.
/mnt/sdb1/Super Meatboy/SuperMeatBoy: line 50: /mnt/sdb1/x86/SuperMeatBoy-x86: No such file or directory
/mnt/sdb1/Super Meatboy/SuperMeatBoy: line 50: exec: /mnt/sdb1/x86/SuperMeatBoy-x86: cannot execute: No such file or directory
# sudo '/mnt/sdb1/Super Meatboy/x86/SuperMeatBoy-x86'
SDL_GL_LoadLibrary(NULL) failed: Failed loading libGL.so.1



Fatal Error: SDL_GL_LoadLibrary(NULL) failed


Does anyone know how I can get this libGL.so.1 working, or is there anyone who's also bought this game and got it working on Puppy Linux? Thanks in advance Smile.
Back to top
View user's profile Send private message 
sfoster


Joined: 12 Jun 2010
Posts: 42
Location: Southern California, USA

PostPosted: Tue 21 Aug 2012, 18:33    Post subject:  

It looks like the game either needs the SDL_gfx library or you dont have 3d support installed (normally you do this through an application in puppy called quickpet or "slikpet" in slacko). If you need SDL_gfx, you should look on the forums or do a puppy search:
http://puppylinux.org/wikka/PuppyLinuxSearchEngine

FYI: if you havent gotten them already, you will probably need the full SDL set.
This includes:
SDL (general SDL libs)
SDL_mixer (for sound)
SDL_gfx (for advanced graphics)
SDL_ttf (for font support)
SDL_net (for network play)

I see you used sudo. this is not necessary in puppy. Puppy does not even have sudo installed. I am surprised you didn't get an error to that effect. plus the fact you are already running as root (observe the "#" symbol at prompt) making sudo unnecessary.
I hope this helps some. Good luck sir!
S

PS This didn't occur to me at first, but if you don't know, software packages in puppy have a .pet extension. some software can be downloaded through the puppy package manager (petget), but the vast majority is found online at these forums.
Back to top
View user's profile Send private message 
th0rgall

Joined: 21 Aug 2012
Posts: 2

PostPosted: Thu 23 Aug 2012, 07:15    Post subject:  

Thanks for the reply! No, I don't think I have 3D support installed, but I tried to install specific drivers for my ATI card (which weren't found). The problem is, I don't want specific drivers to be installed, because I'm planning to use this puppy-stick on more (and less competent) PC's in school.

I'll try to find a driver via slickpet, and i'll also install the packages you've listed above. As you can see I am some kind of a Linux noob. I mainly played around with Ubuntu (from there the sudo) but that doesn't work so well on flashdrives ...

And yes, I knew that packages have a .pet extension, I had already downloaded many GTK themes from this awesome forum for the previous Slacko. But the script installer from Super Meat Boy did its job I guess.
Back to top
View user's profile Send private message 
sfoster


Joined: 12 Jun 2010
Posts: 42
Location: Southern California, USA

PostPosted: Thu 23 Aug 2012, 16:23    Post subject:  

3d support is tough in puppy.
Larger distributions deal with it by having a boatload of drivers, but as puppy is aiming to be small, this is not usually an option. a fairly decent catch all set is the Mesa driver in slickpet.
Some ATI cards have had a history of being tough to get drivers for from what I hear. I have never attempted to cover all bases like what you are talking about, so I dont know how that will go. I have used puppy on some computers at school though and it usually seems to work decently. I would be very careful about testing untried graphics configurations at school because if they use CRT monitors you could risk damaging them with the wrong settings (fortnightly I have not experienced this firsthand). Also, if you are testing driver sets ALWAYS test them on a live install first! the wrong ones will cause a crash. In fact, that is a good rule of thumb for almost any package not in the official repos. If you have any choices about hardware at all, I would recommend the integrated Intel graphics chips.
Also, I forgot to mention a package, SDL_image for image manipulation. All of the SDL packages except GFX can be found in official slacko repos,
Good luck.
Yours,
S
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0506s ][ Queries: 12 (0.0038s) ][ GZIP on ]